## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 33;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without autoreconf

Name:           eot-utils
Version:        1.1
Release:        %autorelease
Summary:        Create or examine EOT font format files

# SPDX
#
# The entire source is W3C, except for certain build system files, the licenses
# of which do not contribute to the license of the binary RPM:
#   - aclocal.m4 is FSFULLR
#   - configure is FSFUL, or more likely (W3C AND FSFUL)
#   - depcomp and missing are GPL-2.0-or-later
#   - install-sh is X11
License:        W3C
URL:            https://www.w3.org/Tools/eot-utils/
Source0:        %{url}/eot-utilities-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  gcc
BuildRequires:  make

%if %{with autoreconf}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
%endif

%description
The eot-utils are the two programs mkeot and eotinfo. The former creates an EOT
(Embedded OpenType) file from an OpenType or TrueType font and the URLs of one
or more Web pages, respecting the TrueType embedding bits. The eotinfo program
displays EOT metadata in a human-readable way.


%prep
%autosetup -n eot-utilities-%{version}


%build
%if %{with autoreconf}
autoreconf -f -i -v
%endif
%configure
%make_build


%install
%make_install


%files
%license COPYING
%doc AUTHORS
%doc ChangeLog
%doc README

%{_bindir}/mkeot
%{_bindir}/eotinfo

%{_mandir}/man1/mkeot.1*
%{_mandir}/man1/eotinfo.1*


%changelog
* Tue Dec 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.1-33
- Leaf package: remove i686 support

* Mon Aug 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.1-32
- Confirm that License is SPDX W3C (no License field change)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Oct 07 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1-21
- Adjust whitespace to personal preference
- Switch URLs to HTTPS
- Modernize spec file macros
- Fix man page globs
- Add license and textual documentation files
- Do autoreconf

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 05 2012 Jan Pokorny <jpokorny@redhat.com> 1.1-2
- Pre-inclusion cleanups (summary, etc.)

* Thu Mar 02 2012 Jan Pokorny <jpokorny@redhat.com> 1.1-1
- Initial version of the package

